GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::locate::IndexedPointInAreaLocator Class Reference

Determines the location of Coordinates relative to a Polygon or MultiPolygon geometry, using indexing for efficiency. More...

`#include <IndexedPointInAreaLocator.h>`

Inheritance diagram for geos::algorithm::locate::IndexedPointInAreaLocator:

## Public Member Functions
| IndexedPointInAreaLocator (const geom::Geometry &g)
int | locate (const geom::Coordinate *p)

## Detailed Description

Determines the location of Coordinates relative to a Polygon or MultiPolygon geometry, using indexing for efficiency.

This algorithm is suitable for use in cases where many points will be tested against a given area.

Author
  Martin Davis

## Constructor & Destructor Documentation

geos::algorithm::locate::IndexedPointInAreaLocator::IndexedPointInAreaLocator | ( | const geom::Geometry & | g | ) |

Creates a new locator for a given Geometry

Parameters

  g | the Geometry to locate in

## Member Function Documentation

int geos::algorithm::locate::IndexedPointInAreaLocator::locate | ( | const geom::Coordinate * | p | ) |
| virtual

Determines the Location of a point in an areal Geometry.

Parameters

  p | the point to test

Returns
  the location of the point in the geometry

Implements geos::algorithm::locate::PointOnGeometryLocator.

The documentation for this class was generated from the following file:

- IndexedPointInAreaLocator.h